Subject: A little further with ncurses 4.1 and win95 (WAS: Building groff & ncurses)
From: [email-masked] (Toni L. Harbaugh)

4 Mar 1998 14:15:10 -0800
Message-ID: <[email-masked]>
References: <[email-masked]>
Mime-Version: 1.0
Content-Type: TEXT/PLAIN; charset=US-ASCII
To: [email-masked]
Cc: "Toni L. Harbaugh" <[email-masked]>

Folks:

I figured what was causing the ncurses-4.1 configure to hang my
system - it was bash.  By FORCING configure to use ash, ncurses-4.1
completes the configure.  But I also found it necessary to move
bash.exe to /bin/sh.exe in order for make to work.

The make succeeded, but make install failed.  First it failed
at installing tic just as Martin Smith indicated in his message
of Tue, 3 Mar 1998:
  > 
  > I also had a problem with ncurses - it seems to be having some problems
  > installing tic (even if I manually create the directory it is complaining
  > about). Again, I would appreciate any feedback on what I may be doing wrong.
  > 
  > =========================
  > /usr/bin/install -c -m 644 ../lib/libncurses_g.a
  > /usr/local/lib/libncurses_g.a
  > ranlib /usr/local/lib/libncurses_g.a
  > cd progs; make --unix INSTALL_PREFIX="" install
  > /usr/bin/install -c tic     /usr/local/bin/tic
  > /usr/bin/install: tic: No such file or directory
  > make[1]: *** [install.progs] Error 1
  > make: *** [install] Error 2
  > bash.exe-2.01$
  > ===============================

I got passed this problem by editing the Makefile in the
ncurses-4.1/progs subdirectory and adding .exe suffixes to
all the files being installed.  Here is the Makefile diff:

   $ diff Makefile Makefile_orig
   108,113c108,113
   < 	$(INSTALL_PROGRAM) tic.exe     $(INSTALL_PREFIX)$(bindir)/tic.exe
   < 	$(INSTALL_PROGRAM) toe.exe     $(INSTALL_PREFIX)$(bindir)/toe.exe
   < 	$(INSTALL_PROGRAM) infocmp.exe $(INSTALL_PREFIX)$(bindir)/infocmp.exe
   < 	$(INSTALL_PROGRAM) clear.exe   $(INSTALL_PREFIX)$(bindir)/clear.exe
   < 	$(INSTALL_PROGRAM) tput.exe    $(INSTALL_PREFIX)$(bindir)/tput.exe
   < 	$(INSTALL_PROGRAM) tset.exe    $(INSTALL_PREFIX)$(bindir)/tset.exe
   ---
   > 	$(INSTALL_PROGRAM) tic     $(INSTALL_PREFIX)$(bindir)/tic
   > 	$(INSTALL_PROGRAM) toe     $(INSTALL_PREFIX)$(bindir)/toe
   > 	$(INSTALL_PROGRAM) infocmp $(INSTALL_PREFIX)$(bindir)/infocmp
   > 	$(INSTALL_PROGRAM) clear   $(INSTALL_PREFIX)$(bindir)/clear
   > 	$(INSTALL_PROGRAM) tput    $(INSTALL_PREFIX)$(bindir)/tput
   > 	$(INSTALL_PROGRAM) tset    $(INSTALL_PREFIX)$(bindir)/tset
   115,116c115,116
   < 	-@rm -f $(INSTALL_PREFIX)$(bindir)/captoinfo.exe
   < 	(cd $(INSTALL_PREFIX)$(bindir) && $(LN_S) tic.exe captoinfo.exe)
   ---
   > 	-@rm -f $(INSTALL_PREFIX)$(bindir)/captoinfo
   > 	(cd $(INSTALL_PREFIX)$(bindir) && $(LN_S) tic captoinfo)
   118,119c118,119
   < 	-@rm -f $(INSTALL_PREFIX)$(bindir)/reset.exe
   < 	(cd $(INSTALL_PREFIX)$(bindir) && $(LN_S) tset.exe reset.exe)
   ---
   > 	-@rm -f $(INSTALL_PREFIX)$(bindir)/reset
   > 	(cd $(INSTALL_PREFIX)$(bindir) && $(LN_S) tset reset)
 
But then the install failed again in the misc subdirectory:

   cd misc; make --unix INSTALL_PREFIX="" install
   sh ./run_tic.sh /usr/local/bin . /usr/local/share/terminfo 
   ** Building terminfo database, please wait...
   ** adjusting tabset paths
   "/tmp/1014", line 270, terminal 'unknown': resolution of use=dumb failed
   "/tmp/1014", line 774, terminal 'iris-ansi-ap': resolution of use=iris-ansi failed
   "/tmp/1014", line 919, terminal 'pcvt25': resolution of use=pcvtXX failed
   "/tmp/1014", line 922, terminal 'pcvt28': resolution of use=pcvtXX failed
   "/tmp/1014", line 925, terminal 'pcvt35': resolution of use=pcvtXX failed
   "/tmp/1014", line 928, terminal 'pcvt40': resolution of use=pcvtXX failed
   "/tmp/1014", line 931, terminal 'pcvt43': resolution of use=pcvtXX failed
   .
   .
   .
   "/tmp/1014", line 12129, terminal 'ti924-8w': resolution of use=ti924-8 failed
   "/tmp/1014", line 12144, terminal 'ti926': resolution of use=ti924 failed
   "/tmp/1014", line 12148, terminal 'ti926-8': resolution of use=ti924-8 failed
   "/tmp/1014", line 12515, terminal 'diablo1620-m8': resolution of use=diablo1620 failed
   "/tmp/1014", line 12519, terminal 'diablo1640': resolution of use=diablo1620 failed
   "/tmp/1014", line 12524, terminal 'diablo1640-lm': resolution of use=diablo1620 failed
   "/tmp/1014", line 12659, terminal 'env230': resolution of use=vt100 failed
   "/tmp/1014", line 12668, terminal 'ep40': resolution of use=ep4080 failed
   ? tic could not build /usr/local/share/terminfo
   make[1]: *** [install.data] Error 1
   make: *** [install] Error 2

-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".